Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/compatibility/compatibility-validation-history.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/compatibility/compatibility-validation-history.component.ts	(revision 51869)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/compatibility/compatibility-validation-history.component.ts	(revision 51870)
@@ -75,7 +75,7 @@
   }
 
   goToNextPage(){
-    if(this.currentPage < this.totalPages) {
+    if( (this.currentPage+1) < this.totalPages) {
       this.currentPage++;
       console.log(`Get me page ${this.currentPage}!`);
       this.getJobs();
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/compatibility/compatibility-validation-history.component.html
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/compatibility/compatibility-validation-history.component.html	(revision 51869)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/compatibility/compatibility-validation-history.component.html	(revision 51870)
@@ -36,7 +36,7 @@
                   <div class="filterLabel">Filter by job type:</div>
                   <div class="inlineBlock">
                     <select class="form-control" #selectType (change)="getJobType(selectType.value)">
-                      <option value="noneSelected">--none selected--</option>
+                      <option value="">--none selected--</option>
                       <option *ngFor="let type of jobTypes" value="{{type}}">{{type}}</option>
                     </select>
                   </div>
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/content/content-events-of-repo-eventslist.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/content/content-events-of-repo-eventslist.component.ts	(revision 51869)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/content/content-events-of-repo-eventslist.component.ts	(revision 51870)
@@ -232,7 +232,7 @@
     }*/
 
     /* DELETE WHEN ADVANCED SHOW EVENTS IS FIXED AND SENDS CORRECT VALUE FOR CURRENT PAGE */
-    if(this.currentPage < this.eventsPage.totalPages) {
+    if( (this.currentPage+1) < this.eventsPage.totalPages) {
       this.currentPage = this.currentPage+1;
       console.log(`Get me page ${this.currentPage}!`);
       this.getEventsPage(this.currentPage);
Index: modules/uoa-repository-dashboard-gui/trunk/app/pages/content/content-notifications-of-subscription.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/pages/content/content-notifications-of-subscription.component.ts	(revision 51869)
+++ modules/uoa-repository-dashboard-gui/trunk/app/pages/content/content-notifications-of-subscription.component.ts	(revision 51870)
@@ -58,7 +58,7 @@
     }*/
 
     /* DELETE WHEN getNotificationsBySubscriptionId IS FIXED AND SENDS CORRECT VALUE FOR CURRENT PAGE */
-    if(this.currentPage < this.eventsPage.totalPages) {
+    if( (this.currentPage+1) < this.eventsPage.totalPages) {
       this.currentPage = this.currentPage+1;
       console.log(`Get me page ${this.currentPage}!`);
       this.getEventsPage(this.currentPage);
Index: modules/uoa-repository-dashboard-gui/trunk/app/shared/topmenu/topmenu.component.html
===================================================================
--- modules/uoa-repository-dashboard-gui/trunk/app/shared/topmenu/topmenu.component.html	(revision 51869)
+++ modules/uoa-repository-dashboard-gui/trunk/app/shared/topmenu/topmenu.component.html	(revision 51870)
@@ -53,7 +53,7 @@
               </div>-->
               <div>
                 <a *ngIf="!getIsUserLoggedIn()" (click)="login()">Sign up/Register</a>
-                <a *ngIf="getIsUserLoggedIn()">{{getUserName()}}</a>
+                <span *ngIf="getIsUserLoggedIn()">{{getUserName()}}</span>
                 <ul *ngIf="getIsUserLoggedIn()" class="uk-list uk-margin-top">
                   <li>
                     <a class="uk-search-input" [routerLink]="['dashboard']" [routerLinkActive]="['uk-active']">Dashboard</a>