Index: modules/uoa-user-management/trunk/src/main/java/eu/dnetlib/openaire/user/LDAPUser.java
===================================================================
--- modules/uoa-user-management/trunk/src/main/java/eu/dnetlib/openaire/user/LDAPUser.java	(revision 52144)
+++ modules/uoa-user-management/trunk/src/main/java/eu/dnetlib/openaire/user/LDAPUser.java	(nonexistent)
@@ -1,47 +0,0 @@
-package eu.dnetlib.openaire.user;
-
-/**
- * Created by sofia on 29/11/2016.
- */
-public class LDAPUser {
-
-    private String cn;
-    private String displayName;
-    private String email;
-
-    public LDAPUser(){
-    }
-
-    public LDAPUser(String cn, String displayName, String email)
-    {
-
-        this.cn = cn;
-        this.displayName = displayName;
-        this.email = email;
-    }
-
-    public String getCn() {
-        return cn;
-    }
-
-    public void setCn(String cn) {
-        this.cn = cn;
-    }
-
-    public String getDisplayName() {
-        return displayName;
-    }
-
-    public void setDisplayName(String displayName) {
-        this.displayName = displayName;
-    }
-
-    public String getEmail() {
-        return email;
-    }
-
-    public void setEmail(String email) {
-        this.email = email;
-    }
-
-}
Index: modules/uoa-user-management/trunk/src/main/java/eu/dnetlib/openaire/user/MigrationUser.java
===================================================================
--- modules/uoa-user-management/trunk/src/main/java/eu/dnetlib/openaire/user/MigrationUser.java	(revision 52144)
+++ modules/uoa-user-management/trunk/src/main/java/eu/dnetlib/openaire/user/MigrationUser.java	(nonexistent)
@@ -1,72 +0,0 @@
-package eu.dnetlib.openaire.user;
-
-import java.io.Serializable;
-
-/**
- * Created by sofia on 1/11/2016.
- */
-public class MigrationUser implements Serializable {
-
-    private int id;
-    private String username; // LDAP's cn, it is unique key
-    private String fullname; // LDAP's display name
-    private String email;
-    private int roleId;
-
-    public MigrationUser() {
-    }
-
-    public MigrationUser(String username) {
-        this.username = username;
-    }
-
-    public MigrationUser(int id, String username, String fullname, String email, int roleId) {
-
-        this.id = id;
-        this.username = username;
-        this.fullname = fullname;
-        this.email = email;
-        this.roleId = roleId;
-
-    }
-
-    public int getId(){
-        return id;
-    }
-
-    public void setId(int id){
-        this.id = id;
-    }
-
-    public String getUsername(){
-        return username;
-    }
-
-    public void setUsername(String username){
-        this.username = username;
-    }
-
-    public String getFullname(){
-        return fullname;
-    }
-
-    public void setFullname(String fullname){
-        this.fullname = fullname;
-    }
-    public String getEmail(){
-        return email;
-    }
-
-    public void setEmail(String email){
-        this.email = email;
-    }
-
-    public int getRoleId(){
-        return roleId;
-    }
-
-    public void setRoleId(int roleId){
-        this.roleId = roleId;
-    }
-
-}
Index: modules/uoa-user-management/trunk/src/test/java/eu/dnetlib/openaire/user/ldap/LDAPEnhancer.java
===================================================================
--- modules/uoa-user-management/trunk/src/test/java/eu/dnetlib/openaire/user/ldap/LDAPEnhancer.java	(revision 52144)
+++ modules/uoa-user-management/trunk/src/test/java/eu/dnetlib/openaire/user/ldap/LDAPEnhancer.java	(revision 52145)
@@ -1,7 +1,7 @@
 package eu.dnetlib.openaire.user.ldap;
 
 import com.unboundid.ldap.sdk.*;
-import eu.dnetlib.openaire.user.LDAPUser;
+import eu.dnetlib.openaire.user.pojos.migration.LDAPUser;
 import org.junit.Before;
 import org.junit.Test;
 
Index: modules/uoa-user-management/trunk/src/main/java/eu/dnetlib/openaire/user/ldap/MUserActionsLDAP.java
===================================================================
--- modules/uoa-user-management/trunk/src/main/java/eu/dnetlib/openaire/user/ldap/MUserActionsLDAP.java	(revision 52144)
+++ modules/uoa-user-management/trunk/src/main/java/eu/dnetlib/openaire/user/ldap/MUserActionsLDAP.java	(revision 52145)
@@ -1,8 +1,8 @@
 package eu.dnetlib.openaire.user.ldap;
 
 import com.unboundid.ldap.sdk.*;
-import eu.dnetlib.openaire.user.LDAPUser;
-import eu.dnetlib.openaire.user.MigrationUser;
+import eu.dnetlib.openaire.user.pojos.migration.LDAPUser;
+import eu.dnetlib.openaire.user.pojos.migration.MigrationUser;
 import eu.dnetlib.openaire.user.Role;
 import eu.dnetlib.openaire.user.dao.RoleDAO;
 import eu.dnetlib.openaire.user.dao.SQLMigrationUserDAO;
Index: modules/uoa-user-management/trunk/src/main/java/eu/dnetlib/openaire/user/dao/SQLMigrationUserDAO.java
===================================================================
--- modules/uoa-user-management/trunk/src/main/java/eu/dnetlib/openaire/user/dao/SQLMigrationUserDAO.java	(revision 52144)
+++ modules/uoa-user-management/trunk/src/main/java/eu/dnetlib/openaire/user/dao/SQLMigrationUserDAO.java	(revision 52145)
@@ -1,10 +1,9 @@
 package eu.dnetlib.openaire.user.dao;
 
-import eu.dnetlib.openaire.user.MigrationUser;
+import eu.dnetlib.openaire.user.pojos.migration.MigrationUser;
 import eu.dnetlib.openaire.user.store.DataSourceConnector;
 import eu.dnetlib.openaire.user.store.Statement;
 import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.beans.factory.annotation.Value;
 import org.springframework.stereotype.Component;
 
 import java.sql.Connection;
Index: modules/uoa-user-management/trunk/src/main/java/eu/dnetlib/openaire/user/pojos/migration/LDAPUser.java
===================================================================
--- modules/uoa-user-management/trunk/src/main/java/eu/dnetlib/openaire/user/pojos/migration/LDAPUser.java	(nonexistent)
+++ modules/uoa-user-management/trunk/src/main/java/eu/dnetlib/openaire/user/pojos/migration/LDAPUser.java	(revision 52145)
@@ -0,0 +1,47 @@
+package eu.dnetlib.openaire.user.pojos.migration;
+
+/**
+ * Created by sofia on 29/11/2016.
+ */
+public class LDAPUser {
+
+    private String cn;
+    private String displayName;
+    private String email;
+
+    public LDAPUser(){
+    }
+
+    public LDAPUser(String cn, String displayName, String email)
+    {
+
+        this.cn = cn;
+        this.displayName = displayName;
+        this.email = email;
+    }
+
+    public String getCn() {
+        return cn;
+    }
+
+    public void setCn(String cn) {
+        this.cn = cn;
+    }
+
+    public String getDisplayName() {
+        return displayName;
+    }
+
+    public void setDisplayName(String displayName) {
+        this.displayName = displayName;
+    }
+
+    public String getEmail() {
+        return email;
+    }
+
+    public void setEmail(String email) {
+        this.email = email;
+    }
+
+}
Index: modules/uoa-user-management/trunk/src/main/java/eu/dnetlib/openaire/user/pojos/migration/MigrationUser.java
===================================================================
--- modules/uoa-user-management/trunk/src/main/java/eu/dnetlib/openaire/user/pojos/migration/MigrationUser.java	(nonexistent)
+++ modules/uoa-user-management/trunk/src/main/java/eu/dnetlib/openaire/user/pojos/migration/MigrationUser.java	(revision 52145)
@@ -0,0 +1,72 @@
+package eu.dnetlib.openaire.user.pojos.migration;
+
+import java.io.Serializable;
+
+/**
+ * Created by sofia on 1/11/2016.
+ */
+public class MigrationUser implements Serializable {
+
+    private int id;
+    private String username; // LDAP's cn, it is unique key
+    private String fullname; // LDAP's display name
+    private String email;
+    private int roleId;
+
+    public MigrationUser() {
+    }
+
+    public MigrationUser(String username) {
+        this.username = username;
+    }
+
+    public MigrationUser(int id, String username, String fullname, String email, int roleId) {
+
+        this.id = id;
+        this.username = username;
+        this.fullname = fullname;
+        this.email = email;
+        this.roleId = roleId;
+
+    }
+
+    public int getId(){
+        return id;
+    }
+
+    public void setId(int id){
+        this.id = id;
+    }
+
+    public String getUsername(){
+        return username;
+    }
+
+    public void setUsername(String username){
+        this.username = username;
+    }
+
+    public String getFullname(){
+        return fullname;
+    }
+
+    public void setFullname(String fullname){
+        this.fullname = fullname;
+    }
+    public String getEmail(){
+        return email;
+    }
+
+    public void setEmail(String email){
+        this.email = email;
+    }
+
+    public int getRoleId(){
+        return roleId;
+    }
+
+    public void setRoleId(int roleId){
+        this.roleId = roleId;
+    }
+
+}