Index: modules/uoa-admin-tools/update_db.js
===================================================================
--- modules/uoa-admin-tools/update_db.js	(revision 52362)
+++ modules/uoa-admin-tools/update_db.js	(revision 52363)
@@ -1,4 +1,4 @@
-//version compatibility: 1.0.1-SNAPSHOT
+//version compatibility: 1.1.0-SNAPSHOT
 
 function updateStats(){
     print("Update Stats...")
Index: modules/uoa-admin-tools/init_db.js
===================================================================
--- modules/uoa-admin-tools/init_db.js	(revision 52362)
+++ modules/uoa-admin-tools/init_db.js	(revision 52363)
@@ -1,4 +1,4 @@
-//version compatibility: 1.0.1-SNAPSHOT
+//version compatibility: 1.1.0-SNAPSHOT
 print("here");
 
 function dropDB(){
@@ -82,7 +82,6 @@
 	db.page.save({"name" : "About", "route" : "/about", "type" : "html", "connect":true,"openaire":false,"entities" : []})
 	db.page.save({"name" : "Organizations", "route" : "/organizations", "type" : "html", "connect":true,"openaire":false,"entities" : []})
 
-
     link = db.page.find( { route: "/participate/claim" }).map( function(page) { return page._id.str; } ).toString()
 	directLink = db.page.find( { route: "/participate/direct-claim" }).map( function(page) { return page._id.str; } ).toString()
 
@@ -164,21 +163,21 @@
 	community_pages[searchDatasets] = true;
 	community_pages[searchSoftware] = true;
 	community_pages[searchProject] = true;
-	community_pages[searchOrganization] = true;	
+	community_pages[searchOrganization] = true;
 	community_pages[searchDataprovider] = true;
 	community_pages[advancedSearchPublications] = true;
-	community_pages[advancedSearchDatasets] = true; 
+	community_pages[advancedSearchDatasets] = true;
 	community_pages[advancedSearchSoftware] = true;
 	community_pages[advancedSearchProject] = true;
 	community_pages[advancedSearchOrganization] = true;
 	community_pages[advancedSearchDataprovider] = true;
 	community_pages[searchJournals] = true;
-	community_pages[searchEntityRegistries] = true; 
+	community_pages[searchEntityRegistries] = true;
 	community_pages[searchContentProviders] = true;
 	community_pages[searchJournalsTable] = true;
 	community_pages[searchEntityRegistriesTable] = true;
-	community_pages[searchContentProvidersTable] = true; 
-	community_pages[depositPublications] = true;	
+	community_pages[searchContentProvidersTable] = true;
+	community_pages[depositPublications] = true;
 	community_pages[depositDatasets] = true;
 	community_pages[depositPublicationsResults] = true;
 	community_pages[depositDatasetsResults] = true;
@@ -296,5 +295,5 @@
 createCollections();
 initializeEntitiesPagesDivIds();
 //createCommunity("OpenAIRE","openaire");
- createAllCommunities();
+createAllCommunities();
 addDefaultHtmlToHtmlPages();
Index: modules/uoa-admin-tools/src/main/java/eu/dnetlib/uoaadmintools/controllers/EmailController.java
===================================================================
--- modules/uoa-admin-tools/src/main/java/eu/dnetlib/uoaadmintools/controllers/EmailController.java	(nonexistent)
+++ modules/uoa-admin-tools/src/main/java/eu/dnetlib/uoaadmintools/controllers/EmailController.java	(revision 52363)
@@ -0,0 +1,23 @@
+package eu.dnetlib.uoaadmintools.controllers;
+
+import eu.dnetlib.uoaadmintools.emailSender.EmailSender;
+import org.apache.log4j.Logger;
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.web.bind.annotation.*;
+
+import java.util.List;
+
+@RestController
+@CrossOrigin(origins = "*")
+public class EmailController {
+    private final Logger log = Logger.getLogger(this.getClass());
+
+    @Autowired
+    private EmailSender emailSender;
+
+    @RequestMapping(value = "/invite", method = RequestMethod.POST)
+    public Boolean inviteReciptients(@RequestBody List<String> reciptients) throws Exception {
+        emailSender.send(reciptients);
+        return true;
+    }
+}
\ No newline at end of file
Index: modules/uoa-admin-tools/src/main/java/eu/dnetlib/uoaadmintools/emailSender/EmailSender.java
===================================================================
--- modules/uoa-admin-tools/src/main/java/eu/dnetlib/uoaadmintools/emailSender/EmailSender.java	(nonexistent)
+++ modules/uoa-admin-tools/src/main/java/eu/dnetlib/uoaadmintools/emailSender/EmailSender.java	(revision 52363)
@@ -0,0 +1,85 @@
+package eu.dnetlib.uoaadmintools.emailSender;
+
+import org.apache.log4j.Logger;
+import org.hibernate.validator.constraints.Email;
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.beans.factory.annotation.Configurable;
+import org.springframework.beans.factory.annotation.Value;
+import org.springframework.boot.context.properties.ConfigurationProperties;
+import org.springframework.context.annotation.Bean;
+import org.springframework.stereotype.*;
+import org.springframework.stereotype.Service;
+import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;
+
+import javax.mail.*;
+import javax.mail.internet.AddressException;
+import javax.mail.internet.InternetAddress;
+import javax.mail.internet.MimeMessage;
+import java.text.SimpleDateFormat;
+import java.util.*;
+
+@Service
+@Configurable
+public class EmailSender {
+
+    private static final Logger logger = Logger.getLogger(EmailSender.class);
+
+    @Value( "${admintool.username}" )
+    private String username = null;
+    @Value( "${admintool.password}" )
+    private String password = null;
+    @Value( "${admintool.host}" )
+    private String host = null;
+    @Value( "${admintool.port}" )
+    private String port = null;
+    @Value( "${admintool.from}" )
+    private String from = null;
+
+    public void send(List<String> recipients) {
+        // Get system properties
+        Properties properties = System.getProperties();
+        properties.setProperty("mail.smtp.host", host);
+        properties.put("mail.smtp.port", port);
+        properties.put("mail.smtp.auth", "true"); //enable authentication
+        properties.put("mail.smtp.starttls.enable", "true");
+
+        Session session = Session.getInstance(properties,
+                new javax.mail.Authenticator() {
+                    protected PasswordAuthentication getPasswordAuthentication() {
+                        return new PasswordAuthentication(username, password);
+                    }
+                });
+
+        try {
+            // Create a default MimeMessage object.
+            MimeMessage message = new MimeMessage(session);
+
+            // Set From: header field of the header.
+            message.setFrom(new InternetAddress(from));
+
+            // Set To: header field of the header.
+            for(String to : recipients) {
+                message.addRecipient(Message.RecipientType.TO, new InternetAddress(to));
+            }
+
+            // Set Subject: header field
+            message.setSubject("Openaire Claims Notification");
+
+            // For simple text setText() can be used instead of setContent()
+
+            // Send the actual HTML message, as big as you like
+            message.setContent("Test email", "text/html");
+
+            // Send message
+            Transport.send(message);
+            logger.debug("Sent message successfully....\n");
+
+        } catch (AddressException ae) {
+            logger.error("Email could not be send.", ae);
+
+        } catch (MessagingException me) {
+            logger.error("Email could not be send.", me);
+        }
+    }
+
+}
Index: modules/uoa-admin-tools/src/main/resources/admintools.properties
===================================================================
--- modules/uoa-admin-tools/src/main/resources/admintools.properties	(revision 52362)
+++ modules/uoa-admin-tools/src/main/resources/admintools.properties	(revision 52363)
@@ -3,4 +3,10 @@
 admintool.originServer = .di.uoa.gr
 #beta
 #admintool.userInfoUrl =  https://beta.services.openaire.eu/uoa-user-management/api/users/getUserInfo?accessToken=
-#admintool.originServer = .openaire.eu
\ No newline at end of file
+#admintool.originServer = .openaire.eu
+
+admintool.host = smtp.gmail.com
+admintool.port = 587
+admintool.from = invalid_email@email.com
+admintool.username = invalid_email@email.com
+admintool.password = invalid_password
\ No newline at end of file
Index: modules/uoa-admin-tools/pom.xml
===================================================================
--- modules/uoa-admin-tools/pom.xml	(revision 52362)
+++ modules/uoa-admin-tools/pom.xml	(revision 52363)
@@ -5,7 +5,7 @@
 
 	<groupId>eu.dnetlib</groupId>
 	<artifactId>uoa-admin-tools</artifactId>
-	<version>1.0.1-SNAPSHOT</version>
+	<version>1.1.0-SNAPSHOT</version>
 	<packaging>war</packaging>
 
 	<name>uoa-admin-tools</name>
@@ -60,6 +60,16 @@
 			<artifactId>gson</artifactId>
 			<version>2.8.2</version>
 		</dependency>
+        <dependency>
+            <groupId>javax.mail</groupId>
+            <artifactId>mail</artifactId>
+            <version>1.5.0-b01</version>
+        </dependency>
+        <dependency>
+            <groupId>commons-io</groupId>
+            <artifactId>commons-io</artifactId>
+            <version>20030203.000550</version>
+        </dependency>
 
 	</dependencies>
 