Index: modules/dnet-openaireplus-mapping-utils/trunk/src/test/java/eu/dnetlib/pace/AbstractProtoPaceTest.java
===================================================================
--- modules/dnet-openaireplus-mapping-utils/trunk/src/test/java/eu/dnetlib/pace/AbstractProtoPaceTest.java	(revision 53008)
+++ modules/dnet-openaireplus-mapping-utils/trunk/src/test/java/eu/dnetlib/pace/AbstractProtoPaceTest.java	(revision 53009)
@@ -73,7 +73,7 @@
 		return gta;
 	}
 
-	private String readFromClasspath(final String filename) {
+	protected String readFromClasspath(final String filename) {
 		final StringWriter sw = new StringWriter();
 		try {
 			IOUtils.copy(getClass().getResourceAsStream(filename), sw);
Index: modules/dnet-openaireplus-mapping-utils/trunk/src/test/java/eu/dnetlib/pace/distance/DetectorTest.java
===================================================================
--- modules/dnet-openaireplus-mapping-utils/trunk/src/test/java/eu/dnetlib/pace/distance/DetectorTest.java	(revision 53008)
+++ modules/dnet-openaireplus-mapping-utils/trunk/src/test/java/eu/dnetlib/pace/distance/DetectorTest.java	(revision 53009)
@@ -1,12 +1,19 @@
 package eu.dnetlib.pace.distance;
 
+import java.io.IOException;
 import java.util.List;
 
 import com.google.common.collect.Lists;
+import com.googlecode.protobuf.format.JsonFormat;
+import eu.dnetlib.data.proto.OafProtos;
 import eu.dnetlib.pace.AbstractProtoPaceTest;
 import eu.dnetlib.pace.config.Config;
+import eu.dnetlib.pace.config.DedupConfig;
 import eu.dnetlib.pace.distance.eval.ScoreResult;
 import eu.dnetlib.pace.model.MapDocument;
+import eu.dnetlib.pace.model.MapDocumentSerializer;
+import eu.dnetlib.pace.model.ProtoDocumentBuilder;
+import org.apache.commons.io.IOUtils;
 import org.junit.Test;
 
 import static org.junit.Assert.assertTrue;
@@ -326,5 +333,26 @@
 
 		// assertTrue(d.getScore() == 0.0);
 	}
-	
+
+	@Test
+	public void testDistance() throws IOException {
+
+		final DedupConfig conf = DedupConfig.load(readFromClasspath("/eu/dnetlib/pace/result.prod.pace.json"));
+
+		final MapDocument crossref = asMapDocument(conf, "/eu/dnetlib/pace/crossref.json");
+		final MapDocument alicante = asMapDocument(conf, "/eu/dnetlib/pace/alicante.json");
+
+		final ScoreResult result = new PaceDocumentDistance().between(crossref, alicante, conf);
+
+		System.out.println("score = " + result);
+
+	}
+
+	private MapDocument asMapDocument(DedupConfig conf, final String json) throws JsonFormat.ParseException {
+		OafProtos.OafEntity.Builder b = OafProtos.OafEntity.newBuilder();
+		JsonFormat.merge(readFromClasspath(json), b);
+		return ProtoDocumentBuilder.newInstance(b.getId(), b.build(), conf.getPace().getModel());
+	}
+
+
 }
Index: modules/dnet-openaireplus-mapping-utils/trunk/src/test/resources/eu/dnetlib/pace/result.prod.pace.json
===================================================================
--- modules/dnet-openaireplus-mapping-utils/trunk/src/test/resources/eu/dnetlib/pace/result.prod.pace.json	(nonexistent)
+++ modules/dnet-openaireplus-mapping-utils/trunk/src/test/resources/eu/dnetlib/pace/result.prod.pace.json	(revision 53009)
@@ -0,0 +1,275 @@
+{
+  "wf" : {
+    "threshold" : "0.99",
+    "dedupRun" : "001",
+    "entityType" : "result",
+    "orderField" : "title",
+    "queueMaxSize" : "4000",
+    "groupMaxSize" : "40",
+    "slidingWindowSize" : "200",
+    "rootBuilder" : [ "result", "resultProject_outcome_isProducedBy", "resultResult_publicationDataset_isRelatedTo", "resultResult_similarity_isAmongTopNSimilarDocuments", "resultResult_similarity_hasAmongTopNSimilarDocuments" ],
+    "includeChildren" : "true",
+    "maxChildren" : "40"
+  },
+  "pace" : {
+    "clustering" : [
+      { "name" : "ngrampairs", "fields" : [ "title" ], "params" : { "max" : "1", "ngramLen" : "3"} },
+      { "name" : "suffixprefix", "fields" : [ "title" ], "params" : { "max" : "1", "len" : "3" } },
+      { "name" : "lowercase", "fields" : [ "doi" ], "params" : { } }
+    ],
+    "strictConditions" : [
+      { "name" : "pidMatch", "fields" : [ "pid" ] }
+    ],
+    "conditions" : [
+      { "name" : "titleVersionMatch", "fields" : [ "title" ] },
+      { "name" : "sizeMatch", "fields" : [ "authors" ] }
+    ],
+    "model" : [
+      { "name" : "doi", "algo" : "Null", "type" : "String", "weight" : "0.0", "ignoreMissing" : "true", "path" : "pid[qualifier#classid = {doi}]/value" },
+      { "name" : "pid", "algo" : "Null", "type" : "JSON", "weight" : "0.0", "ignoreMissing" : "true", "path" : "pid", "overrideMatch" : "true" },
+      { "name" : "title", "algo" : "LevensteinTitle", "type" : "String", "weight" : "1.0", "ignoreMissing" : "false", "path" : "result/metadata/title[qualifier#classid = {main title}]/value" },
+      { "name" : "authors", "algo" : "Null", "type" : "String", "weight" : "0.0", "ignoreMissing" : "true", "path" : "result/metadata/author/fullname" }
+    ],
+    "blacklists" : {
+      "title" : [
+        "^Inside Front Cover$",
+        "(?i)^Poster presentations$",
+        "^THE ASSOCIATION AND THE GENERAL MEDICAL COUNCIL$",
+        "^Problems with perinatal pathology\.?$",
+        "(?i)^Cases? of Puerperal Convulsions$",
+        "(?i)^Operative Gyna?ecology$",
+        "(?i)^Mind the gap\!?\:?$",
+        "^Chronic fatigue syndrome\.?$",
+        "^Cartas? ao editor Letters? to the Editor$",
+        "^Note from the Editor$",
+        "^Anesthesia Abstract$",
+
+        "^Annual report$",
+        "(?i)^“?THE RADICAL PREVENTION OF VENEREAL DISEASE\.?”?$",
+        "(?i)^Graph and Table of Infectious Diseases?$",
+        "^Presentation$",
+        "(?i)^Reviews and Information on Publications$",
+        "(?i)^PUBLIC HEALTH SERVICES?$",
+        "(?i)^COMBINED TEXT-?BOOK OF OBSTETRICS AND GYN(Æ|ae)COLOGY$",
+        "(?i)^Adrese autora$",
+        "(?i)^Systematic Part .*\. Catalogus Fossilium Austriae, Band 2: Echinoidea neogenica$",
+        "(?i)^Acknowledgement to Referees$",
+        "(?i)^Behçet's disease\.?$",
+        "(?i)^Isolation and identification of restriction endonuclease.*$",
+        "(?i)^CEREBROVASCULAR DISEASES?.?$",
+        "(?i)^Screening for abdominal aortic aneurysms?\.?$",
+        "^Event management$",
+        "(?i)^Breakfast and Crohn's disease.*\.?$",
+        "^Cálculo de concentraciones en disoluciones acuosas. Ejercicio interactivo\..*\.$",
+        "(?i)^Genetic and functional analyses of SHANK2 mutations suggest a multiple hit model of Autism spectrum disorders?\.?$",
+        "^Gushi hakubutsugaku$",
+
+        "^Starobosanski nadpisi u Bosni i Hercegovini \(.*\)$",
+        "^Intestinal spirocha?etosis$",
+        "^Treatment of Rodent Ulcer$",
+        "(?i)^\W*Cloud Computing\W*$",
+        "^Compendio mathematico : en que se contienen todas las materias mas principales de las Ciencias que tratan de la cantidad$",
+        "^Free Communications, Poster Presentations: Session [A-F]$",
+
+        "^“The Historical Aspects? of Quackery\.?”$",
+        "^A designated centre for people with disabilities operated by St John of God Community Services (Limited|Ltd), Louth$",
+        "^P(er|re)-Mile Premiums for Auto Insurance\\.?$",
+        "(?i)^Case Report$",
+        "^Boletín Informativo$",
+        "(?i)^Glioblastoma Multiforme$",
+        "(?i)^Nuevos táxones animales descritos en la península Ibérica y Macaronesia desde 1994 \\(.*\\)$",
+        "^Zaměstnanecké výhody$",
+        "(?i)^The Economics of Terrorism and Counter-Terrorism: A Survey \\(Part .*\\)$",
+        "(?i)^Carotid body tumours?\\.?$",
+        "(?i)^\\[Españoles en Francia : La condición Emigrante.*\\]$",
+        "^Avant-propos$",
+        "(?i)^St\. Patrick's Cathedral, Dublin, County Dublin - Head(s)? and Capital(s)?$",
+        "(?i)^St\. Patrick's Cathedral, Dublin, County Dublin - Bases?$",
+        "(?i)^PUBLIC HEALTH VERSUS THE STATE$",
+        "^Viñetas de Cortázar$",
+        "(?i)^Search for heavy neutrinos and W(\\[|_|\\(|_\\{|-)?R(\\]|\\)|\\})? bosons with right-handed couplings in a left-right symmetric model in pp collisions at.*TeV(\.)?$",
+        "(?i)^Measurement of the pseudorapidity and centrality dependence of the transverse energy density in Pb(-?)Pb collisions at.*tev(\.?)$",
+        "(?i)^Search for resonances decaying into top-quark pairs using fully hadronic decays in pp collisions with ATLAS at.*TeV$",
+        "(?i)^Search for neutral minimal supersymmetric standard model Higgs bosons decaying to tau pairs in pp collisions at.*tev$",
+
+        "(?i)^Relatório de Estágio (de|em) Angiologia e Cirurgia Vascular$",
+        "^Aus der AGMB$",
+
+        "^Znanstveno-stručni prilozi$",
+        "(?i)^Zhodnocení finanční situace podniku a návrhy na zlepšení$",
+        "(?i)^Evaluation of the Financial Situation in the Firm and Proposals to its Improvement$",
+        "(?i)^Hodnocení finanční situace podniku a návrhy na její zlepšení$",
+        "^Finanční analýza podniku$",
+        "^Financial analysis( of business)?$",
+        "(?i)^Textbook of Gyn(a)?(Æ)?(e)?cology$",
+        "^Jikken nihon shūshinsho$",
+        "(?i)^CORONER('|s)(s|') INQUESTS$",
+        "(?i)^(Μελέτη παραγόντων )?risk management( για ανάπτυξη και εφαρμογή ενός πληροφοριακού συστήματος| και ανάπτυξη συστήματος)?$",
+        "(?i)^Consultants' contract(s)?$",
+        "(?i)^Upute autorima$",
+        "(?i)^Bijdrage tot de Kennis van den Godsdienst der Dajaks van Lan(d|f)ak en Tajan$",
+        "^Joshi shin kokubun$",
+        "^Kōtō shōgaku dokuhon nōson'yō$",
+        "^Jinjō shōgaku shōka$",
+        "^Shōgaku shūjichō$",
+        "^Nihon joshi dokuhon$",
+        "^Joshi shin dokuhon$",
+        "^Chūtō kanbun dokuhon$",
+        "^Wabun dokuhon$",
+        "(?i)^(Analysis of economy selected village or town|Rozbor hospodaření vybrané obce či města)$",
+        "(?i)^cardiac rehabilitation$",
+        "(?i)^Analytical summary$",
+        "^Thesaurus resolutionum Sacrae Congregationis Concilii$",
+        "(?i)^Sumario analítico(\\s{1})?(Analitic summary)?$",
+        "^Prikazi i osvrti$",
+        "^Rodinný dům s provozovnou$",
+        "^Family house with an establishment$",
+        "^Shinsei chūtō shin kokugun$",
+        "^Pulmonary alveolar proteinosis(\\.?)$",
+        "^Shinshū kanbun$",
+        "^Viñeta(s?) de Rodríguez$",
+        "(?i)^RUBRIKA UREDNIKA$",
+        "^A Matching Model of the Academic Publication Market$",
+        "^Yōgaku kōyō$",
+
+        "^Internetový marketing$",
+        "^Internet marketing$",
+        "^Chūtō kokugo dokuhon$",
+        "^Kokugo dokuhon$",
+        "^Antibiotic Cover for Dental Extraction(s?)$",
+        "^Strategie podniku$",
+        "^Strategy of an Enterprise$",
+        "(?i)^respiratory disease(s?)(\.?)$",
+        "^Award(s?) for Gallantry in Civil Defence$",
+        "^Podniková kultura$",
+        "^Corporate Culture$",
+        "^Severe hyponatraemia in hospital inpatient(s?)(\.?)$",
+        "^Pracovní motivace$",
+        "^Work Motivation$",
+        "^Kaitei kōtō jogaku dokuhon$",
+        "^Konsolidovaná účetní závěrka$",
+        "^Consolidated Financial Statements$",
+        "(?i)^intracranial tumour(s?)$",
+        "^Climate Change Mitigation Options and Directed Technical Change: A Decentralized Equilibrium Analysis$",
+        "^\\[CERVECERIAS MAHOU(\\.|\\:) INTERIOR\\] \\[Material gráfico\\]$",
+        "^Housing Market Dynamics(\\:|\\.) On the Contribution of Income Shocks and Credit Constraint(s?)$",
+        "^\\[Funciones auxiliares de la música en Radio París,.*\\]$",
+        "^Úroveň motivačního procesu jako způsobu vedení lidí$",
+        "^The level of motivation process as a leadership$",
+        "^Pay-beds in N(\\.?)H(\\.?)S(\\.?) Hospitals$",
+        "(?i)^news and events$",
+        "(?i)^NOVOSTI I DOGAĐAJI$",
+        "^Sansū no gakushū$",
+        "^Posouzení informačního systému firmy a návrh změn$",
+        "^Information System Assessment and Proposal for ICT Modification$",
+        "^Stresové zatížení pracovníků ve vybrané profesi$",
+        "^Stress load in a specific job$",
+
+        "^Sunday: Poster Sessions, Pt.*$",
+        "^Monday: Poster Sessions, Pt.*$",
+        "^Wednesday: Poster Sessions, Pt.*",
+        "^Tuesday: Poster Sessions, Pt.*$",
+
+        "^Analýza reklamy$",
+        "^Analysis of advertising$",
+
+        "^Shōgaku shūshinsho$",
+        "^Shōgaku sansū$",
+        "^Shintei joshi kokubun$",
+        "^Taishō joshi kokubun dokuhon$",
+        "^Joshi kokubun$",
+
+        "^Účetní uzávěrka a účetní závěrka v ČR$",
+        "(?i)^The \"?Causes\"? of Cancer$",
+        "^Normas para la publicación de artículos$",
+        "^Editor('|s)(s|') [Rr]eply$",
+        "^Editor(’|s)(s|’) letter$",
+        "^Redaktoriaus žodis$",
+        "^DISCUSSION ON THE PRECEDING PAPER$",
+        "^Kōtō shōgaku shūshinsho jidōyō$",
+        "^Shōgaku nihon rekishi$",
+        "^(Theory of the flow of action currents in isolated myelinated nerve fibers).*$",
+        "^Préface$",
+        "^Occupational [Hh]ealth [Ss]ervices.$",
+        "^In Memoriam Professor Toshiyuki TAKESHIMA$",
+        "^Účetní závěrka ve vybraném podniku.*$",
+        "^Financial statements in selected company$",
+        "^Abdominal [Aa]ortic [Aa]neurysms.*$",
+        "^Pseudomyxoma peritonei$",
+        "^Kazalo autora$",
+
+        "(?i)^uvodna riječ$",
+        "^Motivace jako způsob vedení lidí$",
+        "^Motivation as a leadership$",
+        "^Polyfunkční dům$",
+        "^Multi\\-funkcional building$",
+        "^Podnikatelský plán$",
+        "(?i)^Podnikatelský záměr$",
+        "(?i)^Business Plan$",
+        "^Oceňování nemovitostí$",
+        "^Marketingová komunikace$",
+        "^Marketing communication$",
+        "^Sumario Analítico$",
+        "^Riječ uredništva$",
+        "^Savjetovanja i priredbe$",
+        "^Índice$",
+        "^(Starobosanski nadpisi).*$",
+        "^Vzdělávání pracovníků v organizaci$",
+        "^Staff training in organization$",
+        "^(Life Histories of North American Geometridae).*$",
+        "^Strategická analýza podniku$",
+        "^Strategic Analysis of an Enterprise$",
+        "^Sadržaj$",
+        "^Upute suradnicima$",
+        "^Rodinný dům$",
+        "(?i)^Fami(l)?ly house$",
+        "^Upute autorima$",
+        "^Strategic Analysis$",
+        "^Finanční analýza vybraného podniku$",
+        "^Finanční analýza$",
+        "^Riječ urednika$",
+        "(?i)^Content(s?)$",
+        "(?i)^Inhalt$",
+        "^Jinjō shōgaku shūshinsho jidōyō$",
+        "(?i)^Index$",
+        "^Chūgaku kokubun kyōkasho$",
+        "^Retrato de una mujer$",
+        "^Retrato de un hombre$",
+        "^Kōtō shōgaku dokuhon$",
+        "^Shotōka kokugo$",
+        "^Shōgaku dokuhon$",
+        "^Jinjō shōgaku kokugo dokuhon$",
+        "^Shinsei kokugo dokuhon$",
+        "^Teikoku dokuhon$",
+        "^Instructions to Authors$",
+        "^KİTAP TAHLİLİ$",
+        "^PRZEGLĄD PIŚMIENNICTWA$",
+        "(?i)^Presentación$",
+        "^İçindekiler$",
+        "(?i)^Tabl?e of contents$",
+        "^(CODICE DEL BEATO DE LOS REYES FERNANDO I Y SANCHA).*$",
+        "^(\\[MADRID\\. BIBL\\. NAC\\. N.*KING FERDINAND I.*FROM SAN ISIDORO DE LEON\\. FACUNDUS SCRIPSIT DATED.*\\]).*",
+        "^Editorial( Board)?$",
+        "(?i)^Editorial \\(English\\)$",
+        "^Editörden$",
+        "^(Corpus Oral Dialectal \\(COD\\)\\.).*$",
+        "^(Kiri Karl Morgensternile).*$",
+        "^(\\[Eksliibris Aleksandr).*\\]$",
+        "^(\\[Eksliibris Aleksandr).*$",
+        "^(Eksliibris Aleksandr).*$",
+        "^(Kiri A\\. de Vignolles).*$",
+        "^(2 kirja Karl Morgensternile).*$",
+        "^(Pirita kloostri idaosa arheoloogilised).*$",
+        "^(Kiri tundmatule).*$",
+        "^(Kiri Jenaer Allgemeine Literaturzeitung toimetusele).*$",
+        "^(Eksliibris Nikolai Birukovile).*$",
+        "^(Eksliibris Nikolai Issakovile).*$",
+        "^(WHP Cruise Summary Information of section).*$",
+        "^(Measurement of the top quark\\-pair production cross section with ATLAS in pp collisions at).*$",
+        "^(Measurement of the spin\\-dependent structure function).*",
+        "(?i)^.*authors['’′]? reply\.?$",
+        "(?i)^.*authors['’′]? response\.?$"
+      ]
+    }
+  }
+}
\ No newline at end of file
Index: modules/dnet-openaireplus-mapping-utils/trunk/src/test/resources/eu/dnetlib/pace/alicante.json
===================================================================
--- modules/dnet-openaireplus-mapping-utils/trunk/src/test/resources/eu/dnetlib/pace/alicante.json	(nonexistent)
+++ modules/dnet-openaireplus-mapping-utils/trunk/src/test/resources/eu/dnetlib/pace/alicante.json	(revision 53009)
@@ -0,0 +1,121 @@
+{
+  "dateoftransformation": "2018-08-07T06:48:42.668Z",
+  "originalId": [
+    "oai:rua.ua.es:10045/34236"
+  ],
+  "oaiprovenance": {
+    "originDescription": {
+      "metadataNamespace": "http://www.openarchives.org/OAI/2.0/oai_dc/",
+      "altered": true,
+      "baseURL": "http://rua.ua.es/dspace-oai/request",
+      "datestamp": "2016-04-28T11:28:35Z",
+      "harvestDate": "2018-06-14T13:53:42.185Z",
+      "identifier": "oai:rua.ua.es:10045/34236"
+    }
+  },
+  "result": {
+    "instance": [
+      {
+        "hostedby": {
+          "value": "Repositorio Institucional de la Universidad de Alicante",
+          "key": "10|opendoar____::e820a45f1dfc7b95282d10b6087e11c0"
+        },
+        "url": [
+          "http://hdl.handle.net/10045/34236"
+        ],
+        "dateofacceptance": {
+          "value": "2013-11-27"
+        },
+        "collectedfrom": {
+          "value": "Repositorio Institucional de la Universidad de Alicante",
+          "key": "10|opendoar____::e820a45f1dfc7b95282d10b6087e11c0"
+        },
+        "accessright": {
+          "classid": "OPEN",
+          "classname": "Open Access",
+          "schemename": "dnet:access_modes",
+          "schemeid": "dnet:access_modes"
+        },
+        "instancetype": {
+          "classid": "0010",
+          "classname": "Lecture",
+          "schemename": "dnet:publication_resource",
+          "schemeid": "dnet:publication_resource"
+        }
+      }
+    ],
+    "metadata": {
+      "language": {
+        "classid": "eng",
+        "classname": "English",
+        "schemename": "dnet:languages",
+        "schemeid": "dnet:languages"
+      },
+      "title": [
+        {
+          "qualifier": {
+            "classid": "main title",
+            "classname": "main title",
+            "schemename": "dnet:dataCite_title",
+            "schemeid": "dnet:dataCite_title"
+          },
+          "value": "Henry James (1843-1916)"
+        }
+      ],
+      "journal": {
+        "name": ""
+      },
+      "author": [
+        {
+          "fullname": "Gómez Reus, Teresa",
+          "surname": "Gómez Reus",
+          "name": "Teresa",
+          "rank": 1
+        }
+      ],
+      "resulttype": {
+        "classid": "other",
+        "classname": "other",
+        "schemename": "dnet:result_typologies",
+        "schemeid": "dnet:result_typologies"
+      },
+      "dateofacceptance": {
+        "value": "2013-11-27"
+      },
+      "contributor": [
+        {
+          "value": "Universidad de Alicante. Departamento de Filología Inglesa"
+        }
+      ],
+      "subject": [
+        {
+          "qualifier": {
+            "classid": "keyword",
+            "classname": "keyword",
+            "schemename": "dnet:result_subject",
+            "schemeid": "dnet:result_subject"
+          },
+          "value": "James, Henry"
+        },
+        {
+          "qualifier": {
+            "classid": "keyword",
+            "classname": "keyword",
+            "schemename": "dnet:result_subject",
+            "schemeid": "dnet:result_subject"
+          },
+          "value": "Filología Inglesa"
+        }
+      ]
+    }
+  },
+  "collectedfrom": [
+    {
+      "value": "Repositorio Institucional de la Universidad de Alicante",
+      "key": "10|opendoar____::e820a45f1dfc7b95282d10b6087e11c0"
+    }
+  ],
+  "dateofcollection": "2018-06-14T13:53:42.185Z",
+  "type": 50,
+  "id": "50|od_______935::2b908ad38030168759c568f49af50784"
+}
Index: modules/dnet-openaireplus-mapping-utils/trunk/src/test/resources/eu/dnetlib/pace/crossref.json
===================================================================
--- modules/dnet-openaireplus-mapping-utils/trunk/src/test/resources/eu/dnetlib/pace/crossref.json	(nonexistent)
+++ modules/dnet-openaireplus-mapping-utils/trunk/src/test/resources/eu/dnetlib/pace/crossref.json	(revision 53009)
@@ -0,0 +1,78 @@
+{
+  "pid": [
+    {
+      "qualifier": {
+        "classid": "doi",
+        "classname": "doi",
+        "schemename": "dnet:pid_types",
+        "schemeid": "dnet:pid_types"
+      },
+      "value": "10.1002/9781444393675.ch6"
+    }
+  ],
+  "result": {
+    "instance": [
+      {
+        "url": [
+          "http://dx.doi.org/10.1002/9781444393675.ch6"
+        ],
+        "collectedfrom": {
+          "value": "CrossRef",
+          "key": "10|openaire____::081b82f96300b6a6e3d282bad31cb6e2"
+        },
+        "hostedby": {
+          "value": "Unknown Repository",
+          "key": "10|openaire____::55045bd2a65019fd8e6741a755395c8c"
+        },
+        "accessright": {
+          "classid": "CLOSED",
+          "classname": "Closed Access",
+          "schemename": "dnet:access_modes",
+          "schemeid": "dnet:access_modes"
+        },
+        "instancetype": {
+          "classid": "0013",
+          "classname": "Part of book or chapter of book",
+          "schemename": "dnet:publication_resource",
+          "schemeid": "dnet:publication_resource"
+        }
+      }
+    ],
+    "metadata": {
+      "title": [
+        {
+          "qualifier": {
+            "classid": "main title",
+            "classname": "main title",
+            "schemename": "dnet:dataCite_title",
+            "schemeid": "dnet:dataCite_title"
+          },
+          "value": "Henry James (1843-1916)"
+        }
+      ],
+      "resulttype": {
+        "classid": "publication",
+        "classname": "publication",
+        "schemename": "dnet:result_typologies",
+        "schemeid": "dnet:result_typologies"
+      }
+    }
+  },
+  "collectedfrom": [
+    {
+      "value": "Microsoft Academic Graph",
+      "key": "10|openaire____::5f532a3fc4f1ea403f37070f59a7a53a"
+    },
+    {
+      "value": "CrossRef",
+      "key": "10|openaire____::081b82f96300b6a6e3d282bad31cb6e2"
+    },
+    {
+      "value": "UnpayWall",
+      "key": "10|openaire____::8ac8380272269217cb09a928c8caa993"
+    }
+  ],
+  "dateofcollection": "2018-08-07 12:24:48Z",
+  "type": 50,
+  "id": "50|crossref____::0000002a9885b7ec89b7b9d8ff3331a0"
+}